Summary: A program to use the special keys on internet/multimedia keyboards.
Name: hotkeys
Version: 0.5.7.1.1
Release: 6
License: GPL
Group: Applications/System
#Source0: http://ypwong.org/%{name}/%{name}_%{version}.tar.gz
Source0: ftp://ftp.debian.org/debian/pool/main/h/%{name}/%{name}_%{version}.tar.gz
Source1: ob5xx.def
Source2: xe3gc.def
Source3: xe3gf.def
Source4: xe4xxx.def
Source5: xt155.def
Source6: n620c.def
Source7: hotkeys.init
Patch0: %{name}_%{version}-shadow.patch
Patch1: %{name}_%{version}-db4.patch
Patch2: %{name}_%{version}-db41.patch
Patch3: %{name}_%{version}-gohome.patch
URL: http://ypwong.org/hotkeys/
BuildRoot: %{_tmppath}/%{name}-root
Requires: xosd, db4, libxml2, gtk2
BuildRequires: xosd, db4, libxml2, gtk2
BuildRequires: xosd-devel, db4-devel, libxml2-devel, gtk2-devel

%description
The HotKeys daemon listens for the "special" hotkeys that you won't
normally use on your Internet/Multimedia keyboards. The buttons
perform their intended behaviors, such as volume up and down, mute the
speaker, or launch applications.  It has On-screen display (OSD) to
show the volume, program that's being started, etc.  It features an
XML-based keycode configuration file format, which makes it possible
to define the hotkeys to launch any programs you want.

%prep
%setup -q
%patch0 -p1 -b .shadow
%patch1 -p0 -b .db4
%patch2 -p0 -b .db41
%patch3 -p1 -b .gohome

%build
%configure --with-xosd --with-gtk
make

%install
rm -rf %{buildroot}
%makeinstall
mkdir -p %{buildroot}/%{_sysconfdir}/X11/xinit/xinitrc.d
cp src/%{name}.conf %{buildroot}/%{_sysconfdir}
cp %{SOURCE1} %{buildroot}%{_datadir}/%{name}
cp %{SOURCE2} %{buildroot}%{_datadir}/%{name}
cp %{SOURCE3} %{buildroot}%{_datadir}/%{name}
cp %{SOURCE4} %{buildroot}%{_datadir}/%{name}
cp %{SOURCE5} %{buildroot}%{_datadir}/%{name}
cp %{SOURCE6} %{buildroot}%{_datadir}/%{name}
cat %{SOURCE7} | \
	sed "s|@bindir@|%{_bindir}|g" | \
	sed "s|@datadir@|%{_datadir}|g" \
	> %{buildroot}%{_sysconfdir}/X11/xinit/xinitrc.d/%{name}

%clean
rm -rf %{buildroot}

%files
%defattr(0644, root, root, 0755)
%doc AUTHORS BUGS COPYING INSTALL TODO def/sample.xml debian/changelog
%config %{_sysconfdir}/%{name}.conf
%attr(0755, root, root) %config(missingok) %{_sysconfdir}/X11/xinit/xinitrc.d/%{name}
%attr(0755, root, root) %{_bindir}/%{name}
%dir %{_datadir}/%{name}
%config %{_datadir}/%{name}/*.def
%{_datadir}/%{name}/*.png
%{_mandir}/man*/*

%changelog
* Wed Jan 14 2004 Peter Soos <sp@osb.hu>
- Added new keyboard descriptions
* Mon Jan 12 2004 Peter Soos <sp@osb.hu>
- Built for Fedora Core 1
* Fri Jul 04 2003 Peter Soos <sp@osb.hu>
- fixed xinitrc script
* Mon May 26 2003 Peter Soos <sp@osb.hu>
- gohome patch
- xinitrc start script
* Mon Apr 28 2003 Peter Soos <sp@osb.hu>
- Built for RedHat Linux 9
* Sat Feb 15 2003 Peter Soos <sp@osb.hu>
- Built for RedHat Linux 8.0
* Sun Jun 02 2002 Peter Soos <sp@osb.hu>
- Built for RedHat Linux 7.3
* Tue Apr 16 2002 Peter Soos <sp@osb.hu>
- Built for RedHat Linux 7.2
